Bug 108786 - inconsistent and confusing menu layout
inconsistent and confusing menu layout
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-menus (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Nickell
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-01 22:10 EST by chip piller
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-02 16:05:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chip piller 2003-11-01 22:10:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031007

Description of problem:
The main desktop menu accessed from the red fedora on the panel is
confusing and inconsistent.

Examples: Accessories menu, the icons for file roller and dictionary
entries are not helpful when compared to the icons for text editor,
calculator, print manager.

Why is "print manager" in accessories menu?  There is also an
"openoffice.org printer setup" entry, a "printing" entry, a "printer
system switcher" entry, and not to be left out another "Print manager"
entry in the system tools menu. 

Every entry in the accessories menu produces a pop up text window when
the mouse is placed over the entry except for one, the Unicode
Character Map entry.

The horizontal position of the pop up text windows depends upon the
horizontal position of the mouse and the pop up text window is placed
over adjacent menu entries, obscuring the entry.  The pop up text
window should not obscure adjacent menu items. 

What is the Accessories icon supposed to be?  I don't know what it is.
 All of those menus, all of those icons, it's just confusing. 
Programming, System tools, and System Settings all have screwdrivers
in their icons. 

Icons are used for more than one thing, again in inconsistent fashion.
 For example the icon for the Preferences -> Control Center is the
same as the System Tools and More System Tools and KDevelop-setup.  

Version-Release number of selected component (if applicable):
gnome-panel-2.4.0-3

How reproducible:
Always

Steps to Reproduce:
1.click on red fedora on panel
2.start navigating through and using the menus
3.observe confusing and inconsistent nature of menus, icons, descriptions
    

Actual Results:  menu icon/entry/description/naming/layout
implementation is poor

Expected Results:  menu icon/entry/description/naming/layout
implementation should "just work"

Additional info:
Comment 1 Mark McLoughlin 2004-02-20 10:42:22 EST
Moving to redhat-menus where our new menus expert - Seth - will look
after the you... :)
Comment 2 Zack Cerza 2004-07-07 17:01:32 EDT
I'd suggest either aggressively consolidating the various preferences
tools into at most half as many as there are now, or splitting up the
preferences menu into different categories, as has already been
partially done with the accessibility preferences tools.
Comment 3 Bryan W Clark 2004-11-02 16:05:59 EST
(In reply to comment #0)
> Why is "print manager" in accessories menu?  There is also an
> "openoffice.org printer setup" entry, a "printing" entry, a "printer
> system switcher" entry, and not to be left out another "Print manager"
> entry in the system tools menu. 

This has been cleaned up in the lastest release.

> Every entry in the accessories menu produces a pop up text window when
> the mouse is placed over the entry except for one, the Unicode
> Character Map entry.
> 
> The horizontal position of the pop up text windows depends upon the
> horizontal position of the mouse and the pop up text window is placed
> over adjacent menu entries, obscuring the entry.  The pop up text
> window should not obscure adjacent menu items. 

These are tooltips for providing more information related to what the menu
entries do.  They are quite helpful for discovering what a launcher does and
should disappear immediately after moving the mouse.

> What is the Accessories icon supposed to be?  I don't know what it is.
>  All of those menus, all of those icons, it's just confusing. 
> Programming, System tools, and System Settings all have screwdrivers
> in their icons. 

Icons do best a queues for scanning areas and quicking finding items on the
second time around.  It is relatively impossible for us to create icons that
represent all these things to everyone in the same way.  The best we hope for is
icons that aren't offensive and can trigger some kind of recognition response.

> Icons are used for more than one thing, again in inconsistent fashion.
>  For example the icon for the Preferences -> Control Center is the
> same as the System Tools and More System Tools and KDevelop-setup.  

This has been fixed in the latest rawhide.

Note You need to log in before you can comment on or make changes to this bug.